Create a acceptance record
| 名称 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
| Idempotency-Key | header | string | 否 | Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours. |
{
"type": "object",
"properties": {
"token": {
"type": "string"
},
"password": {
"type": "string"
},
"displayName": {
"type": "string"
}
},
"required": [
"token"
]
}| 状态码 | 说明 | Content-Type | Schema |
|---|---|---|---|
| 201 | Success | application/json | object |
| 400 | Bad request. Enumerated catalog codes for this operation. | application/problem+json | union |
| 409 | Conflict. Enumerated catalog codes for this operation. | application/problem+json | union |
{
"type": "object",
"properties": {
"data": {
"$ref": "#/components/schemas/AuthMeResponseDto"
},
"meta": {
"type": "object",
"properties": {
"requestId": {
"type": "string"
}
},
"required": [
"requestId"
]
}
},
"required": [
"data",
"meta"
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
400
]
},
"code": {
"type": "string",
"enum": [
"BAD_REQUEST",
"IDEMPOTENCY_KEY_INVALID",
"IF_MATCH_INVALID",
"INVITATION_EXPIRED",
"INVITATION_INVALID",
"TENANT_CONTEXT_MISMATCH",
"TENANT_REQUIRED",
"VALIDATION_ERROR"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
409
]
},
"code": {
"type": "string",
"enum": [
"IDEMPOTENCY_CONFLICT",
"INVITATION_ALREADY_ACCEPTED",
"INVITATION_EMAIL_MISMATCH",
"INVITATION_REVOKED"
]
}
}
}
]
}curl -X POST 'https://api.embodiflow.io/v1/tenant-invitations/acceptance-records' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{}'